{"components":{"schemas":{"BadRequest":{"description":"Returned when something is wrong in the request, e.g. failed argument validation or missed argument","properties":{"attributes":{"description":"Invalid attributes","items":{"$ref":"#/components/schemas/RequestAttribute"},"type":"array"},"error":{"default":"BadRequest","description":"Error name","type":"string"},"message":{"default":"Required arguments are missing in the request","description":"Description of the request error","type":"string"}},"type":"object"},"CompanySearchResult":{"description":"Roaring Apps company search. list contains all possible fields returned","properties":{"hitCount":{"description":"Total hit count","format":"int32","type":"integer"},"hits":{"description":"Array of hits on the search","items":{"$ref":"#/components/schemas/SearchHit"},"type":"array"},"metrics":{"$ref":"#/components/schemas/MetricsResult"},"next":{"description":"url for fetching the next page of search data","type":"string"},"previous":{"description":"url for fetching the previous page of search data","type":"string"},"requestKey":{"description":"Request key","type":"string"}},"type":"object"},"MetricsResult":{"description":"Metrics connected to the search","properties":{"bankruptcyStatusCode":{"additionalProperties":{"format":"int32","type":"integer"},"maxProperties":100,"type":"object"},"industryCode":{"additionalProperties":{"format":"int32","type":"integer"},"maxProperties":100,"type":"object"},"isDeregistered":{"additionalProperties":{"format":"int32","type":"integer"},"maxProperties":100,"type":"object"},"latestConfirmedActivityStatusCode":{"additionalProperties":{"format":"int32","type":"integer"},"maxProperties":100,"type":"object"},"legalGroupCode":{"additionalProperties":{"format":"int32","type":"integer"},"maxProperties":100,"type":"object"},"numberCompanyUnits":{"additionalProperties":{"format":"int32","type":"integer"},"maxProperties":100,"type":"object"},"numberEmployees":{"additionalProperties":{"format":"int32","type":"integer"},"maxProperties":100,"type":"object"},"province":{"additionalProperties":{"format":"int32","type":"integer"},"maxProperties":100,"type":"object"},"town":{"additionalProperties":{"format":"int32","type":"integer"},"maxProperties":100,"type":"object"},"tradeStatusCode":{"additionalProperties":{"format":"int32","type":"integer"},"maxProperties":100,"type":"object"},"zipCode":{"additionalProperties":{"format":"int32","type":"integer"},"maxProperties":100,"type":"object"}},"type":"object"},"RequestAttribute":{"description":"Incorrect attribute of request","properties":{"attribute":{"description":"Parameter name","type":"string"},"value":{"description":"Parameter value, subject for validation","type":"string"}},"type":"object"},"SearchHit":{"description":"hit of the search","properties":{"companyId":{"description":"Business id of the company","type":"string"},"companyName":{"description":"Name of the company","type":"string"},"legalGroupCode":{"description":"Which kind of company it is","type":"string"},"legalGroupText":{"description":"Description of which kind of company it is","type":"string"},"town":{"description":"The Town the company resides in","type":"string"}},"type":"object"},"ServerError":{"description":"Internal server error","properties":{"error":{"default":"InternalServerError","description":"Error name","type":"string"},"message":{"default":"An internal server error occurred, please contact the system administrator with information on the error","description":"Description of the request error","type":"string"}},"type":"object"}},"securitySchemes":{"OAuth2":{"description":"All requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","flows":{"clientCredentials":{"tokenUrl":"https://api.roaring.io/token","scopes":{}}},"type":"oauth2"}}},"info":{"description":"Company Search enables searching for a specific company or a selection of companies based on free text and variables such as, geography, company type, number of employees etc. perfect for creating prospect list for example.\n\nAll requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","title":"Company Search","version":"1.0","x-logo":{"url":"https://assets.roaring.io/svg/company-search-v3.1.svg"}},"openapi":"3.0.1","paths":{"/search":{"get":{"description":"Search companies matching query string parameters.","operationId":"search","parameters":[{"description":"Used when paging in a previous searched result","in":"query","name":"requestKey","schema":{"type":"string"}},{"description":"Number of results to return per pagination page","in":"query","name":"pageSize","schema":{"format":"int32","type":"integer"}},{"description":"first result to return from the resultset that is being paged through","in":"query","name":"from","schema":{"format":"int32","type":"integer"}},{"description":"Town the searched for company should be registered in","explode":true,"in":"query","name":"town","schema":{"items":{"type":"string"},"type":"array"},"style":"form"},{"description":"Zip code the searched for company should be registered in","explode":true,"in":"query","name":"zipCode","schema":{"items":{"type":"string"},"type":"array"},"style":"form"},{"description":"Province the searched for company should be registered in","explode":true,"in":"query","name":"province","schema":{"items":{"type":"string"},"type":"array"},"style":"form"},{"description":"The primary industry code the company to search for belongs to","explode":true,"in":"query","name":"industryCode","schema":{"items":{"type":"string"},"type":"array"},"style":"form"},{"description":"The legal group code for the type of company to search for","in":"query","name":"legalGroupCode","schema":{"format":"int32","type":"integer"}},{"description":"The legal group text for the type of company to search for","in":"query","name":"legalGroupText","schema":{"format":"int32","type":"integer"}},{"description":"The date the company searched for should be registered, range input with : between is accepted","in":"query","name":"companyRegistrationDate","schema":{"type":"string"}},{"description":"The searched for company should be deregistered, true/false","in":"query","name":"isDeregistered","schema":{"type":"boolean"}},{"description":"The bankruptcy status code for the company to search for","in":"query","name":"bankruptcyStatusCode","schema":{"format":"int32","type":"integer"}},{"description":"The latest confirmed activity status code for the company to search for","in":"query","name":"latestConfirmedActivityStatusCode","schema":{"format":"int32","type":"integer"}},{"description":"The trade status code for the type of company to search for","in":"query","name":"tradeStatusCode","schema":{"format":"int32","type":"integer"}},{"description":"Number of units the company searched for should have, range input with : between is accepted","in":"query","name":"numberCompanyUnits","schema":{"type":"string"}},{"description":"Number of employees the company searched for should have, range input with : between is accepted","in":"query","name":"numberEmployees","schema":{"type":"string"}},{"description":"Search by either company name or company id","in":"query","name":"freeText","schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CompanySearchResult"}}},"description":"OK, successfull response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequest"}}},"description":"Returned when something is wrong in the request, e.g. failed argument validation or arguments are missing"},"404":{"description":"Requested resource could not be found"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerError"}}},"description":"An internal server error occurred, please contact the system administrator with information on the error"}},"summary":"Search companies","tags":["CompanySearchEs"]}}},"security":[{"OAuth2":[]}],"servers":[{"url":"https://api.roaring.io/es/company/search/1.0"}],"x-category":"company","x-countries":["es"],"x-id":"CompanySearchApiEs"}